{
    "version": "0.2.0",
    "configurations": [
        // Configuración existente de la API (no modificar)
        {
            "name": "Launch phronCare API",
            "type": "coreclr",
            "request": "launch",
            "preLaunchTask": "build",
            "program": "${workspaceFolder}/phronCare.API/bin/Debug/net8.0/phronCare.API.dll",
            "args": [],
            "cwd": "${workspaceFolder}/phronCare.API",
            "stopAtEntry": false,
            "serverReadyAction": {
            "action": "openExternally",
            "pattern": "\\bNow listening on:\\s+(http://\\S+)",
            "uriFormat": "%s/swagger/index.html"
            },
            "env": {
                "ASPNETCORE_ENVIRONMENT": "Development",
                "ASPNETCORE_CONFIGURATION": "appsettings.json"
            },
            "sourceFileMap": {
                "/Views": "${workspaceFolder}/Views"
            }
        },
        // Nueva configuración para Blazor WebAssembly
        {
          "name": "Launch Blazor WASM",
          "type": "blazorwasm",
          "request": "launch",
          "preLaunchTask": "build-blazor",
          "url": "http://localhost:5165",
          "browser": "default",
          "cwd": "${workspaceFolder}/phronCare.UIBlazor",
          "env": {
              "ASPNETCORE_ENVIRONMENT": "Development"
          }
      }
    ]
  }